Bug 1876511 - Pubsub add button is disabled on open for drop to ksvc
Summary: Pubsub add button is disabled on open for drop to ksvc
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-07 11:16 UTC by Jaivardhan Kumar
Modified: 2020-09-09 07:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6542 None closed Bug 1876511: fixes issue with validation on pubsub modal 2020-09-14 13:37:05 UTC

Description Jaivardhan Kumar 2020-09-07 11:16:03 UTC
Description of problem:
Subscription and trigger form Add button is disabled on opening the form if dropped on KSVC from channel/broker. Since required field is pre-populated the Add button should not be disabled as the user might not want to change anything and straightaway create the resource.

The Add button is disabled since the form is not `dirty`.

Prerequisites (if any, like setup, operators/versions): Install Serverless operator

Steps to Reproduce
- Create a channel/broker
- Deploy an image as knative resource
- hover on channel/broker drag and drop on KSVC created above 

Actual results:Add button is disabled

Expected results:Add button should not be disabled

Reproducibility (Always/Intermittent/Only Once): Always

Build Details: 4.6.0-0.nightly-2020-09-05-015624

Additional info:


Note You need to log in before you can comment on or make changes to this bug.